Bug 210579 - math/suitesparse: Update to 5.2.0
Summary: math/suitesparse: Update to 5.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-25 22:28 UTC by Yuri Victorovich
Modified: 2018-05-10 07:20 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (maho)


Attachments
patch (7.69 KB, patch)
2016-06-25 22:28 UTC, Yuri Victorovich
no flags Details | Diff
Update to 4.5.4 (7.80 KB, patch)
2017-06-24 14:29 UTC, Pedro F. Giffuni
no flags Details | Diff
Update to 4.5.4 (7.80 KB, patch)
2017-09-17 22:41 UTC, Pedro F. Giffuni
no flags Details | Diff
patch-5.2.0 (8.28 KB, patch)
2018-04-20 06:10 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2016-06-25 22:28:15 UTC
Created attachment 171804 [details]
patch

The previous, timed out update https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=205606 went stale.

Changes:
* Unbundled metis and made it always link with math/metis
* Made various Makefile changes (like added LD_LIBRARY_PATH) to make it build
* Took maintainership

I think timeout of 205606 can be grandfathered in, and this can be committed now.
Comment 1 Pedro F. Giffuni freebsd_committer 2017-06-24 14:29:23 UTC
Created attachment 183768 [details]
Update to 4.5.4

Minor updates so that it applies again. Use OpenMP.
New version is 4.5.5 and doesn't need the hackery for shared libraries.
Comment 2 Pedro F. Giffuni freebsd_committer 2017-09-17 22:41:10 UTC
Created attachment 186491 [details]
Update to 4.5.4

Update the patch.
Comment 3 Walter Schwarzenfeld freebsd_triage 2018-03-09 11:31:28 UTC
In the meantime suitesparse has 5.1.2.
http://faculty.cse.tamu.edu/davis/suitesparse.html
Comment 4 Rene Ladan freebsd_committer 2018-03-11 10:40:01 UTC
Maintainer reset.
Comment 5 Yuri Victorovich freebsd_committer 2018-04-20 06:10:30 UTC
Created attachment 192675 [details]
patch-5.2.0

I will commit 5.2.0 update once I'll make sure all depending ports build on 10/11/12.
Comment 6 commit-hook freebsd_committer 2018-04-26 06:41:35 UTC
A commit references this bug:

Author: yuri
Date: Thu Apr 26 06:41:31 UTC 2018
New revision: 468325
URL: https://svnweb.freebsd.org/changeset/ports/468325

Log:
  math/suitesparse: Update 4.0.2 -> 5.2.0

  Port changes:
  * Change to DISTVERSION
  * Update MASTER_SITES
  * Change to LICENSE_COMB=dual
  * Add LIB_DEPENDS
  * Unbundle metis, made it a dependency
  * Update do-build and do-install
  * Update WWW

  Bump 11 ports.
  games/naev is marked broken because it depends on the no longer installed library.

  PR:		210579
  Submitted by:	yuri
  Submitted by:	pfg
  Approved by:	maintainer timeout (maho@FreeBSD.org, 21 months)
  Approved by:	maintainer timeout (fortran@FreeBSD.org, 45 days)

Changes:
  head/games/naev/Makefile
  head/math/arpack++/Makefile
  head/math/ceres-solver/Makefile
  head/math/dynare/Makefile
  head/math/freemat/Makefile
  head/math/g2o/Makefile
  head/math/octave/Makefile
  head/math/py-cvxopt/Makefile
  head/math/py-numpy/Makefile
  head/math/scilab/Makefile
  head/math/suitesparse/Makefile
  head/math/suitesparse/distinfo
  head/math/suitesparse/pkg-descr
  head/math/suitesparse/pkg-plist
  head/science/mbdyn/Makefile
  head/science/py-scikit-sparse/Makefile
Comment 7 Yuri Victorovich freebsd_committer 2018-04-26 06:42:33 UTC
Committed, thanks!
Comment 8 commit-hook freebsd_committer 2018-05-10 07:20:28 UTC
A commit references this bug:

Author: yuri
Date: Thu May 10 07:20:08 UTC 2018
New revision: 469513
URL: https://svnweb.freebsd.org/changeset/ports/469513

Log:
  math/suitesparse: Unbreak with the option ATLAS=yes

  It was an incomplete makefile patching beginning from 5.2.0 update.

  PR:		210579 227791
  Approved by:	portmgr (port compliance, infrastructure)

Changes:
  head/math/suitesparse/Makefile